.\" $Id: quot.man,v 1.9 2012/02/29 19:48:11 ksb Exp $
.\" by KS Braunsdorf
.\" $Compile: Display%h
.\" $Display: ${groff:-groff} -Tascii -man %f |${PAGER:-less}
.\" $Display(*): ${groff:-groff} -T%s -man %f
.\" $Install: %b -mDeinstall %o %f && cp %f $DESTDIR/usr/local/man/man8/quot.8
.\" $Deinstall: ${rm-rm} -f $DESTDIR/usr/local/man/[cm]a[nt][18]/quot.8*
.TH QUOT 8 LOCAL
.SH NAME
quot - display disk usage by user/group/size and age
.SH SYNOPSIS
.ds PN "quot
\fI\*(PN\fP [\fB\-cf\gkNUvX\fP] [\fIfiles\fP]
.br
\fI\*(PN\fP \fB\-h\fP
.br
\fI\*(PN\fP \fB\-V\fP
.SH DESCRIPTION
While \fBdf\fP and \fBdu\fP and \fBls\fP display disk usage
by filesystem, directory, and file, \fI\*(PN\fP displays disk
usage by user, group, or size then (optionally) by age.
Files from 30 to 60, or 60 to 90, or older than 90 days
are separated into three colums.

.SH OPTIONS
If the program is called as \fI\*(PN\fP then no options are forced.
.TP
\fB\-a\fP
Visit all mounted filesystems (not implemented).
.TP
\fB\-c\fP
Display a histogram of file sizes.
.TP
\fB\-f\fP
Display number of files, in addition to total space.
.TP
\fB\-g\fP
Display totals per group, rather than per login.
.TP
\fB\-h\fP
Print a brief help message.
.TP
\fB\-k\fP
Report sizes in kb (1024byte blocks rather than 512byte blocks).
.TP
\fB\-n\fP
Filter ncheck output for inode number to owner mapping (not implemented).
.TP
\fB\-N\fP
Supress the header line, used when the output is sent to a pipe.
.TP
\fB\-U\fP
Do not include the nouser (any unmapped uids or gids) file information.
.TP
\fB\-v\fP
Output the idle space per login or group (under \fB\-g\fP).
.TP
\fB\-V\fP
Show version information.
.TP
\fB\-X\fP
Honor filesystem boundries, do not cross onto another device.

.SH EXAMPLES
.TP
\fB\*(PN\fP \-vf /home/mages
Output a table of logins on /home/mages with the space used
broken out into the 30, 60, 90 day totals.
.TP
\fB\*(PN\fP \-vc /usr/local
Help find the correct block and fragment size for a new /usr/local
partition.
.TP
\fB\*(PN\fP \-Xvf /
See who is filling the root filesystem.
.TP
\fB\*(PN\fP \-gvf /home/common
Look at this filesystem by group.  This can help when files are actually
grouped by project.

.SH BUGS
Not exaclty like the original \fI\*(PN\fP, but I like it better.
.P
The old-school version didn't need to run as the superuser, as it could
just read the raw disks with access to group "operator" or "disk": but
walking the block device is \fIso\fP gross.  Also there are way too
many filesystem types now days to code them all.

.SH AUTHOR
KS Braunsdorf, NonPlayer Character Guild
.br
quot swirl no-spam ksb dotHere npcguild.org

.SH "SEE ALSO"
.hlm 0
sh(1), df(1), du(1), ls(1), kruft(8l)
